std::initializer_list::begin(3)

NAME
std::initializer_list::begin - std::initializer_list::begin

Synopsis
   const T* begin() const noexcept; (since C++11)
                        (until C++14)
   constexpr const T* begin() const noexcept; (since C++14)
   Returns a pointer to the first element in the initializer list.
   If the initializer list is empty, the values of begin() and end() are unspecified,
   but will be identical.

Parameters
   (none)

Return value
   a pointer to the first element in the initializer list

Complexity
   Constant

See also
   end returns a pointer to one past the last element
       (public member function)